Array (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class Array

    java.lang.Object
      org.hibernate.mapping.Collection
          org.hibernate.mapping.IndexedCollection
              org.hibernate.mapping.List
                  org.hibernate.mapping.Array

All Implemented Interfaces:
  Serializable, Fetchable, Filterable, Value

Direct Known Subclasses:
  PrimitiveArray

    public class Array

extends List

An array mapping has a primary key consisting of the key columns + index column.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.mapping.IndexedCollection
`DEFAULT_INDEX_COLUMN_NAME`

Fields inherited from class org.hibernate.mapping.Collection
`DEFAULT_ELEMENT_COLUMN_NAME, DEFAULT_KEY_COLUMN_NAME`

Constructor Summary
`Array(Mappings mappings, PersistentClass owner)`

Method Summary
`Object` | `accept(ValueVisitor visitor)`
`CollectionType` | `getDefaultCollectionType()`
`Class` | `getElementClass()`
`String` | `getElementClassName()`
`boolean` | `isArray()`
`void` | `setElementClassName(String elementClassName)`

Methods inherited from class org.hibernate.mapping.List
`getBaseIndex, isList, setBaseIndex`

Methods inherited from class org.hibernate.mapping.IndexedCollection
`getIndex, getIndexNodeName, isIndexed, setIndex, setIndexNodeName, validate`

Methods inherited from class org.hibernate.mapping.Collection
`addFilter, addManyToManyFilter, createAllKeys, createForeignKey, getBatchSize, getCacheConcurrencyStrategy, getCacheRegionName, getCollectionPersisterClass, getCollectionTable, getCollectionType, getColumnInsertability, getColumnIterator, getColumnSpan, getColumnUpdateability, getComparator, getComparatorClassName, getCustomSQLDelete, getCustomSQLDeleteAll, getCustomSQLDeleteAllCheckStyle, getCustomSQLDeleteCheckStyle, getCustomSQLInsert, getCustomSQLInsertCheckStyle, getCustomSQLUpdate, getCustomSQLUpdateCheckStyle, getElement, getElementNodeName, getFetchMode, getFilterMap, getKey, getLoaderName, getManyToManyFilterMap, getManyToManyOrdering, getManyToManyWhere, getMappings, getNodeName, getOrderBy, getOwner, getOwnerEntityName, getReferencedPropertyName, getRole, getSynchronizedTables, getTable, getType, getTypeName, getTypeParameters, getWhere, hasFormula, hasOrder, hasOrphanDelete, isAlternateUniqueKey, isCustomDeleteAllCallable, isCustomDeleteCallable, isCustomInsertCallable, isCustomUpdateCallable, isEmbedded, isExtraLazy, isIdentified, isInverse, isLazy, isMap, isMutable, isNullable, isOneToMany, isOptimisticLocked, isPrimitiveArray, isSet, isSimpleValue, isSorted, isSubselectLoadable, isValid, setBatchSize, setCacheConcurrencyStrategy, setCacheRegionName, setCollectionPersisterClass, setCollectionTable, setComparator, setComparatorClassName, setCustomSQLDelete, setCustomSQLDeleteAll, setCustomSQLInsert, setCustomSQLUpdate, setElement, setElementNodeName, setEmbedded, setExtraLazy, setFetchMode, setInverse, setKey, setLazy, setLoaderName, setManyToManyOrdering, setManyToManyWhere, setMutable, setNodeName, setOptimisticLocked, setOrderBy, setOrphanDelete, setOwner, setReferencedPropertyName, setRole, setSorted, setSubselectLoadable, setTypeName, setTypeParameters, setTypeUsingReflection, setWhere, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Array

    public Array(Mappings mappings,
                 PersistentClass owner)

Method Detail

### getElementClass

    public Class getElementClass()
                          throws MappingException

  Throws:
    `MappingException`

### getDefaultCollectionType

    public CollectionType getDefaultCollectionType()
                                            throws MappingException

  Overrides:
    `getDefaultCollectionType` in class `List`
  Throws:
    `MappingException`

### isArray

    public boolean isArray()

  Overrides:
    `isArray` in class `Collection`

### getElementClassName

    public String getElementClassName()

  Returns:
    Returns the elementClassName.

### setElementClassName

    public void setElementClassName(String elementClassName)

  Parameters:
    `elementClassName` - The elementClassName to set.

### accept

    public Object accept(ValueVisitor visitor)

  Specified by:
    `accept` in interface `Value`
  Overrides:
    `accept` in class `List`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.